<template>
  <button class="flex" :class="type">
    <img v-if="icon" :src="src" />
    <slot></slot>
  </button>
</template>

<script>
export default {
  props: ["type", "icon"],
  computed: {
    src() {
      return require("@/assets/" + this.icon);
    },
  },
};
</script>

<style scoped>
button,
a {
  /* display: inline-block; */
  background-color: transparent;
  text-decoration: none;
  border: 0;
  border-radius: 0.5rem;
  cursor: pointer;
  font-weight: var(--fw-500);
  transition: 0.3s;
  padding: 0;
}
button:hover,
button:active {
  opacity: 0.5;
}

.reply {
  background-color: var(--clr-primary-700);
  color: var(--clr-neutral-100);
  text-transform: uppercase;
  padding: 0.5em 1.5em;
}
.edit,
.reply-with-icon {
  color: var(--clr-primary-700);
}

.delete {
  color: var(--clr-primary-600);
}
.counter {
  /* width: 100%; */
}
.cancel-dialog {
  background-color: var(--clr-neutral-400);
  color: var(--clr-neutral-100);
  padding: 0.5em 1.8em;
}
.delete-dialog {
  background-color: var(--clr-primary-600);
  color: var(--clr-neutral-100);
  padding: 0.5em 1.8em;
}
</style>
